# Type Alias InsertObjects<TTable>

InsertObjects<TTable>: (TTable extends "numbers"
? MutationInputValue<number>
: TTable extends "strings"
? MutationInputValue<string>
: TTable extends "objects"
? MutationInputValue<any>
: MutationInputLink) | (TTable extends "numbers"
? MutationInputValue<number>
: TTable extends "strings"
? MutationInputValue<string>
: TTable extends "objects"
? MutationInputValue<any>
: MutationInputLink)[]

#### Type Parameters

- TTable extends Table = "links"

- Defined in work/deeplinks/deeplinks/imports/client.tsx:2173